Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1739938 - trac-fedmsg-plugin fails to install in Fedora rawhide
Summary: trac-fedmsg-plugin fails to install in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: trac-fedmsg-plugin
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:36 UTC by Miro Hrončok
Modified: 2019-11-02 21:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:36:04 UTC
trac-fedmsg-plugin-0.4.0-11.fc31.noarch fails to install in Fedora rawhide:

  package trac-fedmsg-plugin-0.4.0-11.fc31.noarch requires fedmsg, but none of the providers can be installed
  package fedmsg-1.1.1-4.fc30.noarch requires python2-fedmsg = 1.1.1-4.fc30, but none of the providers can be installed
  nothing provides python2-moksha-hub >= 1.3.2 needed by python2-fedmsg-1.1.1-4.fc30.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 17:08:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Ben Cotton 2019-08-13 17:12:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Miro Hrončok 2019-08-19 21:07:38 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 4 Miro Hrončok 2019-08-21 15:47:08 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 5 Miro Hrončok 2019-08-28 12:04:04 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 6 Miro Hrončok 2019-08-30 11:57:41 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 7 Adam Williamson 2019-08-30 16:13:25 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 8 Miro Hrončok 2019-08-31 07:39:36 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.